GHSA-58pf-pcwv-qg85

Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/05/GHSA-58pf-pcwv-qg85/GHSA-58pf-pcwv-qg85.json
Aliases
  • CVE-2020-7665
Published
2021-05-18T21:08:28Z
Modified
2022-08-02T18:03:17Z
Details

This affects all versions of package github.com/u-root/u-root/pkg/uzip. It is vulnerable to both leading and non-leading relative path traversal attacks in zip file extraction.

References

Affected packages

Go / github.com/u-root/u-root

github.com/u-root/u-root

Affected ranges

Type
SEMVER
Events
Introduced
0
Fixed
0.9.0

Affected versions